=== modified file 'baz2bzr'
--- baz2bzr	2005-04-29 09:22:28 +0000
+++ baz2bzr	2005-04-29 14:41:03 +0000
@@ -12,24 +12,9 @@
 import shutil
 import bzrlib
 import sys
+from progress import *
 bzrlib.trace.create_tracefile([])
 
-class Progress(object):
-    def __init__(self, units, current, total=None):
-        self.units = units
-        self.current = current
-        self.total = total
-        self.percent = None
-        if self.total is not None:
-            self.percent = 100.0 * current / total
-
-    def __str__(self):
-        if self.total is not None:
-            return "%i of %i %s %.1f%%" % (self.current, self.total, self.units,
-                                         self.percent)
-        else:
-            return "%i %s" (self.current, self.units) 
-
 def add_id(files, id=None):
     """Adds an explicit id to a list of files.
 
@@ -167,15 +152,6 @@
     ancestors.append(revision)
     return ancestors
 
-def progress_bar(progress):
-    fmt = " %i of %i %s (%.1f%%)"
-    f = fmt % (progress.total, progress.total, progress.units, 100.0)
-    max = len(f)
-    cols = 77 - max
-    markers = int (float(cols) * progress.current / progress.total)
-    txt = fmt % (progress.current, progress.total, progress.units,
-                 progress.percent)
-    sys.stdout.write("\r[%s%s]%s" % ('='*markers, ' '*(cols-markers), txt))
 
 def import_version(output_dir, version):
     """
@@ -192,7 +168,7 @@
     try:
         for result in iter_import_version(output_dir, version, tempdir):
             progress_bar(result)
-        sys.stdout.write('\r%s\r' % (' '*79))
+        clear_progress_bar()
         print "Import complete."
     finally:
         shutil.rmtree(tempdir)

=== added file 'progress.py'
--- progress.py	1970-01-01 00:00:00 +0000
+++ progress.py	2005-04-29 14:41:03 +0000
@@ -0,0 +1,31 @@
+import sys
+class Progress(object):
+    def __init__(self, units, current, total=None):
+        self.units = units
+        self.current = current
+        self.total = total
+        self.percent = None
+        if self.total is not None:
+            self.percent = 100.0 * current / total
+
+    def __str__(self):
+        if self.total is not None:
+            return "%i of %i %s %.1f%%" % (self.current, self.total, self.units,
+                                         self.percent)
+        else:
+            return "%i %s" (self.current, self.units) 
+
+
+def progress_bar(progress):
+    fmt = " %i of %i %s (%.1f%%)"
+    f = fmt % (progress.total, progress.total, progress.units, 100.0)
+    max = len(f)
+    cols = 77 - max
+    markers = int (float(cols) * progress.current / progress.total)
+    txt = fmt % (progress.current, progress.total, progress.units,
+                 progress.percent)
+    sys.stdout.write("\r[%s%s]%s" % ('='*markers, ' '*(cols-markers), txt))
+
+def clear_progress_bar():
+    sys.stdout.write('\r%s\r' % (' '*79))
+

